### Class

# EDataServer SourceRegistryWatcher

#### Description [src]

    class EDataServer.SourceRegistryWatcher : GObject.Object
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### e_source_registry_watcher_new

Creates a new `ESourceRegistryWatcher` instance.

since: 3.26

#### Instance methods

###### e_source_registry_watcher_get_extension_name

No description available.

since: 3.26

###### e_source_registry_watcher_get_registry

Returns the `ESourceRegistry` passed to e_source_registry_watcher_new().

since: 3.26

###### e_source_registry_watcher_reclaim

Reclaims all available sources satisfying the `ESourceRegistryWatcher::filter` signal. It doesn’t notify about disappeared sources, it notifies only on those appeared.

since: 3.26

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EDataServer.SourceRegistryWatcher:extension-name

Optional extension name, to consider sources with only. It can be `NULL`, to check for all sources. This is a complementary filter to `ESourceRegistryWatcher::filter` signal.

since: 3.26

###### EDataServer.SourceRegistryWatcher:registry

The `ESourceRegistry` manages `ESource` instances.

since: 3.26

#### Signals

###### EDataServer.SourceRegistryWatcher::appeared

A signal emitted when the `source` is enabled or added and it had been considered for inclusion with the `ESourceRegistryWatcher`::filter signal.

since: 3.26

###### EDataServer.SourceRegistryWatcher::disappeared

A signal emitted when the `source` is disabled or removed and it had been considered for inclusion with the `ESourceRegistryWatcher`::filter signal earlier.

since: 3.26

###### EDataServer.SourceRegistryWatcher::filter

A filter signal which verifies whether the `source` can be considered for inclusion in the watcher or not. If none is set then all the sources are included.

since: 3.26

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataServerSourceRegistryWatcherClass {
      GObjectClass parent_class;
      gboolean (* filter) (
        ESourceRegistryWatcher* watcher,
        ESource* source
      );
      void (* appeared) (
        ESourceRegistryWatcher* watcher,
        ESource* source
      );
      void (* disappeared) (
        ESourceRegistryWatcher* watcher,
        ESource* source
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`filter: gboolean (* filter) ( ESourceRegistryWatcher* watcher, ESource* source )`

  No description available.

`appeared: void (* appeared) ( ESourceRegistryWatcher* watcher, ESource* source )`

  No description available.

`disappeared: void (* disappeared) ( ESourceRegistryWatcher* watcher, ESource* source )`

  No description available.

#### Virtual methods

###### EDataServer.SourceRegistryWatcherClass.appeared

No description available.

###### EDataServer.SourceRegistryWatcherClass.disappeared

No description available.

###### EDataServer.SourceRegistryWatcherClass.filter

No description available.